process-cpp: core::posix::Signalable Class Reference

process-cpp 3.0.0 A simple convenience library for handling processes in C++11.

Classes | Public Member Functions | Protected Member Functions | List of all members
core::posix::Signalable Class Reference

The Signalable class abstracts the ability of an entity to be delivered a posix signal. More...

`#include <signalable.h>`

Inheritance diagram for core::posix::Signalable:
Collaboration diagram for core::posix::Signalable:

## Classes
struct | Private

## Public Member Functions
virtual void | send_signal_or_throw (Signal signal)
| Sends a signal to this signalable object. More...
virtual void | send_signal (Signal signal, std::error_code &e) noexcept(true)
| Sends a signal to this signalable object. More...

## Protected Member Functions
CORE_POSIX_DLL_LOCAL | Signalable (pid_t pid)

## Detailed Description

The Signalable class abstracts the ability of an entity to be delivered a posix signal.

Definition at line 35 of file signalable.h.

## Constructor & Destructor Documentation

## ◆ Signalable()

core::posix::Signalable::Signalable | ( | pid_t | pid | ) |
| explicitprotected

Definition at line 30 of file signalable.cpp.

## Member Function Documentation

## ◆ send_signal()

void core::posix::Signalable::send_signal | ( | Signal | signal,
|  | std::error_code & | e
| ) |  |
| virtualnoexcept

Sends a signal to this signalable object.

Parameters

  [in] | signal | The signal to be sent to the process.
  [out] | e | Set to contain an error if an issue arises.

Definition at line 42 of file signalable.cpp.

## ◆ send_signal_or_throw()

void core::posix::Signalable::send_signal_or_throw | ( | Signal | signal | ) |
| virtual

Sends a signal to this signalable object.

Exceptions

  std::system_error | in case of problems.

Parameters

  [in] | signal | The signal to be sent to the process.

Definition at line 34 of file signalable.cpp.

Referenced by TEST().

The documentation for this class was generated from the following files:

- /build/process-cpp/src/process-cpp-3.0.1/include/core/posix/signalable.h
- /build/process-cpp/src/process-cpp-3.0.1/src/core/posix/signalable.cpp